import request from './request';
//一物一码-物码列表
export const getTraceCodeQueryList = (params) => {
  return request({
    url: `trace/traceCode/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 质保单列表
export const getWarrantyQueryList = (params) => {
  return request({
    url: `trace/warranty/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 质保单详情
export const getWarrantyDetail = (params) => {
  return request({
    url: `trace/warranty/queryById/${params.id}`,
    data: params,
    method: 'post'
  })
}
// 创建质保单
export const traceWarrantySave = (params) => {
  return request({
    url: `trace/warranty/save`,
    data: params,
    method: 'post'
  })
}
